Kerbal Space Program - Bug #13316

Game crash when reading KSPedia for too long
11/26/2016 09:06 PM - Wintermute

Status: Closed Start date: 11/26/2016
Severity: Normal % Done: 100%
Assignee:

Category: KSPedia

Target version:

Version: 1.21 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

I've updated the KSP few days ago. Today I've created a new career game, and immediately started to enjoy the new, shiny
KSPedia (Great job, guys!).

The game has been paused (from the KSPedia window), and I've been reading page after page, taking breaks for some household
chores. It took several hours.

As | just clicked on yet another page ("Easter eggs" it was. No pun intended. :D) the game crashed. | had seen that page also a few
minutes before, so it seems to not be the reason.

The contents of the crash folder is attached. The file "crash.dmp" has size 0, so | do not attach it here.

At the end of the "output_log.txt" there is a localized error message: 'PrA3bowano uzyska? dost?p do nieprawid?owego adresu.'
It means: "Was trying to access an invalid address." | believe the rest is in English.

Before the update | had a KerbalAlarmClock plugin. | have not updated it yet - there are some errors in the log files about trying to
load it.

History

#1 - 11/26/2016 09:21 PM - Wintermute
- File error.log added
- File output_log.txt added

One day before | had another - very similar - crash. That time it was a tutorial play. It's again "out of memory"/"write to location 00000 ..."

#2 - 12/08/2016 12:23 PM - Squelch

- Status changed from New to Need More Info

Hi Wintermute, | see a number of errors which are not related to KSPedia in your logs. These may actually be the source of your crash.
Kerbal Alarm Clock is attempting to load but fails, and saves are not being performed correctly.

Could you please remove all mods and check your installation. Please be aware that version 1.2.2 is now available for download from the store, and
we recommend that you also upgrade.

If you are still experiencing problems after performing these steps, please could you attach both of the following files?

ksp.log (found in the installation folder)
output_log.txt (found in KSP_Data)

#3 - 07/25/2019 08:00 PM - chris.fulton
- Status changed from Need More Info to Resolved

- % Done changed from 0 to 100

#4 - 07/25/2019 08:00 PM - chris.fulton

- Status changed from Resolved to Closed
Files

output_log.ixt 669 KB 11/26/2016 Wintermute
error.log 40.5 KB 11/26/2016 Wintermute
error.log 55.6 KB 11/26/2016 Wintermute
output_log.ixt 751 KB 11/26/2016 Wintermute
